cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
hiteshpratyushv
Visitor
Visitor
447 Views
Registered: ‎01-12-2021

petalinux-build --sdk failure

I have created a petalinux project with zynq as template. I was able to run petalinux-build without any problems but when I try to run petalinux-build --sdk. I get the following error message.

 
ERROR: petalinux-image-minimal-1.0-r0 do_populate_sdk: The postinstall intercept hook 'update_gio_module_cache' failed, details in /storage/SYSC/hitesh1.v/petalinux-workspace/peta-try/build/tmp/work/zynq_generic-xilinx-linux-gnueabi/petalinux-image-minimal/1.0-r0/temp/log.do_populate_sdk

I have added the entire do_populate_sdk log file for you reference in the attachments.

Any leads regarding this would be appreciated

0 Kudos
2 Replies
advance_zhul
Visitor
Visitor
228 Views
Registered: ‎05-20-2019

Hello, I have the same problem as you. Have you solved your problem?

0 Kudos
watari
Professor
Professor
218 Views
Registered: ‎06-16-2013

Hi @hiteshpratyushv 

 

Make sure default shell.

I guess it's dash. If it's dash, change to bash.

 

## confirmation

ls -lA /bin/sh

 

## Modification

rm /bin/sh

ln -s /bin/bash /bin/sh

 

Hope this helps.

 

Best regards,

0 Kudos